<?php

$id = Dever::input('search_option_col_id', 1);
$col = Dever::db('ai/col')->one($id);

return array
(
	# 表名
	'name' => 'data',
	# 显示给用户看的名称
	'lang' => '字段[' . $col['name'] . ']数据管理',
	'order' => 10,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'fulltext',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'col_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属字段',
			'default' 	=> '',
			'value'		=> $col['id'],
			'desc' 		=> '所属字段',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'list'		=> $col['name'],
		),

		'value'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '字段的值',
			'default' 	=> '',
			'desc' 		=> '字段的值',
			'match' 	=> 'is_string',
			'update'	=> $col['type'],
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		
	),
	
	# request 请求接口定义
	'request' => array
	(
		
	),
);
