<?php
namespace Ai\Src;

use Dever;
use Dever\Template\Common;

header('Access-Control-Allow-Origin:*');
header('Access-Control-Allow-Methods:POST');
header('Access-Control-Allow-Headers:x-requested-with,content-type');

class Proxy
{
    public function template_api()
    {
        $html = $_POST['html'];
        $parsing = $_POST['parsing'];
        $parsing = Common::parsing($parsing, true);
        $content = Common::fetch($html, $parsing);
        $content = Dever::tmp('template', $content);
        return $content;
    }

    public function load_api()
    {
        $api = Dever::input('api');
        if ($api) {
        	return Dever::load($api);
        } else {
        	Dever::alert('error api');
        }
    }
}
